package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;
import java.util.List;
import java.util.Objects;

/**
 * A DTO for the TBActivityType entity.
 */
public class DynamicActivityTypeChildDTO implements Serializable {

    private TBObjectParameterDTO tbObjectParameterDTO;

    private List<TBActivityExtendTypeDTO> tbActivityExtendTypeDTOList;

    public TBObjectParameterDTO getTbObjectParameterDTO() {
        return tbObjectParameterDTO;
    }

    public void setTbObjectParameterDTO(TBObjectParameterDTO tbObjectParameterDTO) {
        this.tbObjectParameterDTO = tbObjectParameterDTO;
    }

    public List<TBActivityExtendTypeDTO> getTbActivityExtendTypeDTOList() {
        return tbActivityExtendTypeDTOList;
    }

    public void setTbActivityExtendTypeDTOList(List<TBActivityExtendTypeDTO> tbActivityExtendTypeDTOList) {
        this.tbActivityExtendTypeDTOList = tbActivityExtendTypeDTOList;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DynamicActivityTypeChildDTO that = (DynamicActivityTypeChildDTO) o;
        return Objects.equals(getTbObjectParameterDTO(), that.getTbObjectParameterDTO()) &&
            Objects.equals(getTbActivityExtendTypeDTOList(), that.getTbActivityExtendTypeDTOList());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getTbObjectParameterDTO(), getTbActivityExtendTypeDTOList());
    }

    @Override
    public String toString() {
        return "DynamicActivityTypeChildDTO{" +
            "tbObjectParameterDTO=" + tbObjectParameterDTO +
            ", tbActivityExtendTypeDTOList=" + tbActivityExtendTypeDTOList +
            '}';
    }
}
